Show / Hide Table of Contents

# Class OpenIddictQuartzOptions

Provides various settings needed to configure the OpenIddict Quartz.NET integration.

##### Inheritance

System.Object
OpenIddictQuartzOptions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Quartz

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictQuartzOptions

### Properties

#### DisableAuthorizationPruning

Gets or sets a boolean indicating whether authorizations pruning should be disabled.

##### Declaration

    public bool DisableAuthorizationPruning { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### DisableTokenPruning

Gets or sets a boolean indicating whether tokens pruning should be disabled.

##### Declaration

    public bool DisableTokenPruning { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### MaximumRefireCount

Gets or sets the number of times a failed Quartz.NET job can be retried. By default, failed jobs are automatically retried twice after the initial failure.

##### Declaration

    public int MaximumRefireCount { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### MinimumAuthorizationLifespan

Gets or sets the minimum lifespan authorizations must have to be pruned. By default, this value is set to 14 days and cannot be less than 10 minutes.

##### Declaration

    public TimeSpan MinimumAuthorizationLifespan { get; set; }

##### Property Value

Type | Description
--- | ---
System.TimeSpan |

#### MinimumTokenLifespan

Gets or sets the minimum lifespan tokens must have to be pruned. By default, this value is set to 14 days and cannot be less than 10 minutes.

##### Declaration

    public TimeSpan MinimumTokenLifespan { get; set; }

##### Property Value

Type | Description
--- | ---
System.TimeSpan |